<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
	<head>
		<meta charset="UTF-8" />
		<title>Topbar</title>
	</head>
	<body>
		<nav class="w-full px-3 py-2.5" th:fragment="topbar">
			<div class="flex items-center gap-2">
				<!-- sidebar toggle -->
				<button
					@click="openSidebar = !openSidebar"
					class="focus:ring-white-300 flex w-fit items-center rounded-default p-2 hover:bg-surface-container-highest"
					type="button"
				>
					<!-- close -->
					<svg
						viewBox="0 0 24 24"
						fill="none"
						xmlns="http://www.w3.org/2000/svg"
						class="size-5 stroke-on-surface"
						:class="openSidebar ? 'block' : 'hidden'"
					>
						<path
							d="M10 3V21M5.5 7H6.5M5.5 10H6.5M17 10L15 12L17 14M2 6V18C2 19.6569 3.34315 21 5 21H19C20.6569 21 22 19.6569 22 18V6C22 4.34315 20.6569 3 19 3H5C3.34315 3 2 4.34315 2 6Z"
							stroke-width="1.5"
							stroke-linecap="round"
							stroke-linejoin="round"
						/>
					</svg>
					<!-- open -->
					<svg
						viewBox="0 0 24 24"
						fill="none"
						xmlns="http://www.w3.org/2000/svg"
						class="size-5 stroke-on-surface"
						:class="openSidebar ? 'hidden' : 'block'"
					>
						<path
							d="M17.5 7H18.5M17.5 10H18.5M14 3V21M7 10L9 12L7 14M19 3C20.6569 3 22 4.34315 22 6V18C22 19.6569 20.6569 21 19 21H5C3.34315 21 2 19.6569 2 18V6C2 4.34315 3.34315 3 5 3H19Z"
							stroke-width="1.5"
							stroke-linecap="round"
							stroke-linejoin="round"
						/>
					</svg>
				</button>
				<div class="h-5 w-[1px] bg-surface-outline-lower"></div>
				<div x-data="{title : document.title.split('-')[0]}" class="flex flex-1 items-center gap-2">
					<p href="#" class="text-sm text-on-surface-lower hover:text-on-surface-higher" x-text="title"></p>
				</div>
			</div>
		</nav>
	</body>
</html>
